## org.omg.CORBA
Class ValueBaseHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ValueBaseHelper

public class ValueBaseHelper
extends java.lang.Object

Helper class for ValueBase This is class is in the org.omg packages from 00-02-08 which and is marked as dummy but cannot be generated from idl files.

Constructor Summary
`ValueBaseHelper()`

Method Summary
`static java.io.Serializable` `extract(Any a)`
`static java.lang.String` `id()`
`static void` `insert(Any a, java.io.Serializable t)`
`static java.io.Serializable` `read(InputStream istream)`
`static TypeCode` `type()`
`static void` `write(OutputStream ostream, java.io.Serializable value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueBaseHelper

    public ValueBaseHelper()

Method Detail

### insert

    public static void insert(Any a,
                              java.io.Serializable t)

### extract

    public static java.io.Serializable extract(Any a)

### type

    public static TypeCode type()

### id

    public static java.lang.String id()

### read

    public static java.io.Serializable read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             java.io.Serializable value)